# trim changelog included in binary rpms
%global _changelog_trimtime %(date +%s -d "1 year ago")

Summary:       C++ user interface for FLTK GUI toolkit
Name:          fltk
Version:       1.3.9
Release:       3%{?dist}
# see COPYING (or http://www.fltk.org/COPYING.php ) for exceptions details
License:       LGPLv2+ with exceptions	
URL:           http://www.fltk.org/
Source0:       http://fltk.org/pub/%{name}/%{version}/%{name}-%{version}-source.tar.gz
# add lib64 support, drop extraneous libs (bug #708185) and ldflags (#1112930)
Patch1:        fltk-1.3.4-fltk_config.patch
BuildRequires: gcc-c++
BuildRequires: cmake
BuildRequires: desktop-file-utils
BuildRequires: pkgconfig(libjpeg)
BuildRequires: pkgconfig(libpng)
BuildRequires: pkgconfig(gl) pkgconfig(glu) 
BuildRequires: pkgconfig(ice)
BuildRequires: pkgconfig(sm) 
BuildRequires: pkgconfig(xext) pkgconfig(xinerama) pkgconfig(xft) pkgconfig(xt) pkgconfig(x11) 
BuildRequires: pkgconfig(xcursor)
BuildRequires: pkgconfig(xproto)
BuildRequires: pkgconfig(zlib)
BuildRequires: make

%description
FLTK (pronounced "fulltick") is a cross-platform C++ GUI toolkit.
It provides modern GUI functionality without the bloat, and supports
3D graphics via OpenGL and its built-in GLUT emulation.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}
Requires: libstdc++-devel
Requires: pkgconfig(fontconfig)
Requires: pkgconfig(gl) pkgconfig(glu)
Requires: pkgconfig(ice) pkgconfig(sm)
Requires: pkgconfig(xft) pkgconfig(xt) pkgconfig(x11)
Requires: pkgconfig(libjpeg)
Requires: pkgconfig(libpng)
Requires: pkgconfig(zlib)
%description devel
%{summary}.

%package static
Summary: Static libraries for %{name}
Requires: %{name}-devel = %{version}-%{release}
%description static
%{summary}.

%package fluid
Summary: Fast Light User Interface Designer
Requires: %{name} = %{version}-%{release}
Requires: %{name}-devel
%description fluid
%{summary}, an interactive GUI designer for %{name}. 



%prep
%autosetup -p1



%build
%cmake -DFLTK_CONFIG_PATH:PATH=%{_libdir}/cmake/fltk \
       -DOpenGL_GL_PREFERENCE=GLVND \
       -DOPTION_BUILD_HTML_DOCUMENTATION:BOOL=OFF \
       -DOPTION_BUILD_PDF_DOCUMENTATION:BOOL=OFF \
       -DOPTION_BUILD_SHARED_LIBS:BOOL=ON

%cmake_build



%install
%cmake_install



%check
desktop-file-validate %{buildroot}%{_datadir}/applications/fluid.desktop


%files
%doc ANNOUNCEMENT CHANGES CREDITS README
%license COPYING
%{_libdir}/libfltk.so.1.3*
%{_libdir}/libfltk_forms.so.1.3*
%{_libdir}/libfltk_gl.so.1.3*
%{_libdir}/libfltk_images.so.1.3*

%files devel
%{_bindir}/fltk-config
%{_includedir}/FL/
%{_libdir}/libfltk.so
%{_libdir}/libfltk_forms.so
%{_libdir}/libfltk_gl.so
%{_libdir}/libfltk_images.so
%{_datadir}/%{name}/*.cmake
%{_mandir}/man1/fltk-config.1*
%{_mandir}/man3/fltk.3*
%{_mandir}/man6/*.6*

%files static
%{_libdir}/libfltk.a
%{_libdir}/libfltk_forms.a
%{_libdir}/libfltk_gl.a
%{_libdir}/libfltk_images.a

%files fluid
%{_bindir}/fluid
%{_mandir}/man1/fluid.1*
%{_datadir}/applications/fluid.desktop
%{_datadir}/mime/packages/fluid.xml
%{_datadir}/icons/hicolor/*/*/*



%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.9-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.9-2
- Rebuilt for loongarch release

* Tue Jan 09 2024 Upgrade Robot <upbot@opencloudos.org> - 1.3.9-1
- Upgrade to version 1.3.9

* Mon Oct 30 2023 Zhao Zhen <jeremiazhao@tencent.com> - 1.3.8-7
- improved the summary

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.8-6
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 kianli@tencent.com - 1.3.8-5
- Rebuilt for libXft 2.3.8

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.8-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.8-3
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 09 2022 Xiaojie Chen <jackxjchen@tencent.com> - 1.3.8-2
- Rebuild fltk

* Mon Nov 14 2022 Zhao Zhen <jeremiazhao@tencent.com> - 1.3.8-1
- initial building
